Bug 769719 - resource key not HTML-escaped in search results and resource detail (possibly elsewhere?)
resource key not HTML-escaped in search results and resource detail (possibly...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.3
All All
medium Severity high (vote)
: ---
: RHQ 4.3.0
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks: jon30-sprint10/rhq43-sprint10
  Show dependency treegraph
 
Reported: 2011-12-21 16:31 EST by Lukas Krejci
Modified: 2013-08-31 06:12 EDT (History)
3 users (show)

See Also:
Fixed In Version: 4.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-31 06:12:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Key_Resource_Detail (19.76 KB, image/png)
2012-05-03 05:46 EDT, Sunil Kondkar
no flags Details
Services_Key-Column (19.88 KB, image/png)
2012-05-03 05:47 EDT, Sunil Kondkar
no flags Details

  None (edit)
Description Lukas Krejci 2011-12-21 16:31:07 EST
Description of problem:
The resource key for apache Directory and IfModule resources starts with a '<' which makes them invisible in both search results and resource detail page.

Version-Release number of selected component (if applicable):
4.3.0-SNAPSHOT

How reproducible:
always

Steps to Reproduce:
1. inventory apache, enable augeas in its connection settings, run detailed discovery to get the directory and IfModule resources discovered
2. click on one of the discovered directories or ifmodules
3. expand the details on the detail page
  
Actual results:
key appears empty

Expected results:
key is shown

Additional info:
alternative repro steps:
1. inventory apache, enable augeas in its connection settings, run detailed discovery to get the directory and IfModule resources discovered
2. go to Inventory > Services
3. right-click on the search results table header, check the "Key" in the "Columns" menu.
4. search for one of the directories or ifmodules
Comment 1 Jay Shaughnessy 2012-01-16 15:20:01 EST
That's an annoying resource key.
Comment 2 Jay Shaughnessy 2012-01-16 16:06:03 EST
master commit 2c9a0b72daaefbab9697d0a14494106a957b2dac

Treat the key value as needing to be HTML escaped in the resource
overview and search views. Although, it is not typically displayed in
search results anyway.
Comment 3 Sunil Kondkar 2012-05-03 05:45:34 EDT
Verified on build#1457 (Version: 4.4.0-SNAPSHOT Build Number: 804e43c)

Verified that resource key is shown in Apache directories and ifmodules resource details page and in 'key' column of Inventory->Services. Also verified in 'key' column of Inventory tab of a compatible group of apache directories and ifmodules.
Screenshots attached.
Comment 4 Sunil Kondkar 2012-05-03 05:46:42 EDT
Created attachment 581816 [details]
Key_Resource_Detail
Comment 5 Sunil Kondkar 2012-05-03 05:47:50 EDT
Created attachment 581817 [details]
Services_Key-Column
Comment 6 Heiko W. Rupp 2013-08-31 06:12:24 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.